import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:yumi/ui_kit/widgets/room/room_banner_view.dart';
import 'package:yumi/ui_kit/widgets/room/room_game_bottom_sheet.dart';

class RoomPlayWidget extends StatefulWidget {
  const RoomPlayWidget({super.key});

  @override
  State<RoomPlayWidget> createState() => _RoomPlayWidgetState();
}

class _RoomPlayWidgetState extends State<RoomPlayWidget> {
  @override
  Widget build(BuildContext context) {
    return SizedBox.expand(
      child: Stack(
        children: [
          PositionedDirectional(
            end: 15.w,
            bottom: 100.w,
            child: const RoomGameEntryButton(),
          ),
          PositionedDirectional(
            end: 10.w,
            bottom: 15.w,
            child: SizedBox(width: 46.w, child: RoomBannerView()),
          ),
        ],
      ),
    );
  }
}
